Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.engine
Class AddressingBasedDispatcher

    java.lang.Object
      org.apache.axis2.handlers.AbstractHandler
          org.apache.axis2.engine.AbstractDispatcher
              org.apache.axis2.dispatchers.AddressingBasedDispatcher
                  org.apache.axis2.engine.AddressingBasedDispatcher

All Implemented Interfaces:
  AddressingConstants, Handler

Deprecated. use org.apache.axis2.dispatchers.AddressingBasedDispatcher

    public class AddressingBasedDispatcher

extends AddressingBasedDispatcher

Dispatcher based on the WS-Addressing properties.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.addressing.AddressingConstants
`AddressingConstants.Final, AddressingConstants.Submission`

Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler
`Handler.InvocationResponse`

Field Summary

Fields inherited from class org.apache.axis2.dispatchers.AddressingBasedDispatcher
`NAME`

Fields inherited from class org.apache.axis2.handlers.AbstractHandler
`handlerDesc`

Fields inherited from interface org.apache.axis2.addressing.AddressingConstants
`ACTION_ATTRIBUTES, ADD_MUST_UNDERSTAND_TO_ADDRESSING_HEADERS, ADDR_VALIDATE_ACTION, ADDR_VALIDATE_INVOCATION_PATTERN, ADDRESSING_IDENTITY_NS, ADDRESSING_IDENTITY_PREFIX, ADDRESSING_OPTIONAL, ADDRESSING_REQUIRED, ADDRESSING_REQUIREMENT_PARAMETER, ADDRESSING_UNSPECIFIED, ANONYMOUS, DISABLE_ADDRESSING_FOR_IN_MESSAGES, DISABLE_ADDRESSING_FOR_OUT_MESSAGES, DISABLE_OUTBOUND_ADDRESSING_VALIDATION, DISABLE_REF_PARAMETER_EXTRACT, ENDPOINT_REFERENCE, EPR_ADDRESS, EPR_REFERENCE_PARAMETERS, EPR_SERVICE_NAME, FAULT_ACTION_NOT_SUPPORTED, FAULT_ACTION_NOT_SUPPORTED_REASON, FAULT_ADDRESSING_DESTINATION_UNREACHABLE, IDENTITY, IDENTITY_KEY_INFO, IDENTITY_PARAMETER, IDENTITY_X509_CERT, IDENTITY_X509_DATA, INCLUDE_OPTIONAL_HEADERS, IS_ADDR_INFO_ALREADY_PROCESSED, MESSAGEID_ATTRIBUTES, PARAM_SERVICE_GROUP_CONTEXT_ID, QNAME_IDENTITY, QNAME_IDENTITY_KEY_INFO, QNAME_IDENTITY_X509_CERT, QNAME_IDENTITY_X509_DATA, REFERENCE_PARAMETER_PARAMETER, REPLACE_ADDRESSING_HEADERS, SOAP_ROLE_FOR_ADDRESSING_HEADERS, USING_ADDRESSING, WS_ADDRESSING_VERSION, WSA_ACTION, WSA_DEFAULT_PREFIX, WSA_FAULT_TO, WSA_FROM, WSA_MESSAGE_ID, WSA_RELATES_TO, WSA_RELATES_TO_RELATIONSHIP_TYPE, WSA_REPLY_TO, WSA_TO, WSAM_INVOCATION_PATTERN_ASYNCHRONOUS, WSAM_INVOCATION_PATTERN_BOTH, WSAM_INVOCATION_PATTERN_PARAMETER_NAME, WSAM_INVOCATION_PATTERN_SYNCHRONOUS, XML_SIG_NS, XML_SIG_PREFIX`

Constructor Summary
`AddressingBasedDispatcher()` Deprecated.

Method Summary

Methods inherited from class org.apache.axis2.dispatchers.AddressingBasedDispatcher
`findOperation, findService, initDispatcher, invoke`

Methods inherited from class org.apache.axis2.handlers.AbstractHandler
`cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AddressingBasedDispatcher

    public AddressingBasedDispatcher()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.